RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

读取单个档案

GET
/v1/games/{game}/profiles/{profileId}

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"
profileId*string
Formatuuid

Response Body

档案

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X GET 'https://api.rankhub.cc/v1/games/maimai/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",    "game": "maimai",    "player": {      "name": "string",      "rating": 0,      "native": {}    },    "isPublic": true,    "origin": "user",    "createdByClientId": "string",    "syncCapable": true,    "lastSyncedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "requestId": "string"}